#!/usr/bin/env python

"""Tests for `p2.infra` package."""


import unittest
from p2.tools.driver import get_driver


class TestP2infra(unittest.TestCase):
    """Tests for `p2.infra` package."""

    def setUp(self):
        """Set up test fixtures, if any."""

    def tearDown(self):
        """Tear down test fixtures, if any."""

    def test_agent_driver(self):
        driver = get_driver(
            module='p2.infra',
            driver='agent',
            class_name='Infra')
        self.assertIsNotNone(driver)
        cronjobs = driver.get_cronjobs('minikube')
        self.assertIsInstance(cronjobs,list)

    def test_aaaa_k8_driver(self):
        driver = get_driver(
            module='p2.infra',
            driver='k8',
            class_name='K8Cron',
            context='minikube',
            namespace='default')
        self.assertIsNotNone(driver)
        cronjobs = driver.get_cronjobs()
        self.assertIsInstance(cronjobs,list)


if __name__ == '__main__':
    unittest.main()
